{
  "productname": "CDO",
  "hostlist": [
    {
      "nodename": "CDO-OM-Global-FI01",
      "installpath": "/opt/oss",
      "nodemgrip": "BigDataAnalyzer01_ip",
      "nodeext": {
        "regionname": "cn-global-1",
        "nodetag": "CDO-OM-Global-FI-ALL-base,ZooKeeper_quorumpeer,HDFS_JournalNode,HDFS_DataNode-Yarn_NodeManager,Spark2x_JobHistory2x,Spark2x_JDBCServer2x,Hive_HiveServer,Hive_WebHCat,Kafka_Broker",
        "nodeSpec": "large1"
      }
    },
    {
      "nodename": "CDO-OM-Global-FI02",
      "installpath": "/opt/oss",
      "nodemgrip": "BigDataAnalyzer02_ip",
      "nodeext": {
        "regionname": "cn-global-1",
        "nodetag": "CDO-OM-Global-FI-ALL-base,KrbServer-LdapServer,ZooKeeper_quorumpeer,HDFS_NameNode-HDFS_Zkfc,HDFS_JournalNode,HDFS_DataNode-Yarn_NodeManager,Yarn_ResourceManager,DBService_DBServer,Spark2x_SparkResource2x,Hive_MetaStore,Kafka_Broker",
        "nodeSpec": "large1"
      }
    },
    {
      "nodename": "CDO-OM-Global-FI03",
      "installpath": "/opt/oss",
      "nodemgrip": "BigDataAnalyzer03_ip",
      "nodeext": {
        "regionname": "cn-global-1",
        "nodetag": "CDO-OM-Global-FI-ALL-base,KrbServer-LdapServer,ZooKeeper_quorumpeer,HDFS_NameNode-HDFS_Zkfc,HDFS_JournalNode,HDFS_DataNode-Yarn_NodeManager,Yarn_ResourceManager,Mapreduce_JobHistoryServer,DBService_DBServer,Spark2x_SparkResource2x,Spark2x_JobHistory2x,Spark2x_JDBCServer2x,Hive_HiveServer,Hive_MetaStore,Hive_WebHCat,Kafka_Broker",
        "nodeSpec": "large2"
      }
    }
  ],
  "installparam": {
    "WS_FLOAT_IP": "BigDataAnalyzer_float01_ip",
    "WS_FLOAT_IP_INTERFACE": "BigDataAnalyzer_nic:web",
    "WS_FLOAT_IP_NETMASK": "BigDataAnalyzer_mask",
    "WS_GATEWAY": "BigDataAnalyzer_gw",
    "OM_FLOAT_IP": "BigDataAnalyzer_float02_ip",
    "OM_FLOAT_IP_INTERFACE": "BigDataAnalyzer_nic:oms",
    "OM_FLOAT_IP_NETMASK": "BigDataAnalyzer_mask",
    "OM_GATEWAY": "BigDataAnalyzer_gw",
    "OM_MEDIATOR_IP": "BigDataAnalyzer_gw",
    "FI_DBSERVICE_FLOAT_IP": "BigDataAnalyzer_float03_ip",
    "FI_DBSERVICE_MEDIATOR_IP": "BigDataAnalyzer_gw",
    "NTP_SERVER_IP": "BigDataAnalyzer_gw,OMP_02_eth0_ip",
    "JHS_FLOAT_IP": "BigDataAnalyzer_float01_jhs_ip"
  },
  "customized":{
    "cluster_file_name": "ficluster_conf.json",
    "configmgr_adapter_file": "configmgr_adapter_file.json",
    "alarm_file_name": "shield_alarm.json"
  }
}